local WorldCanBuildEffect = BaseClass("WorldCanBuildEffect")
local OnCreate = function(self, go)
  if go ~= nil then
    self.request = go
    self.gameObject = go.gameObject
    self.transform = go.gameObject.transform
  end
  self:ComponentDefine()
end
local OnDestroy = function(self)
  self:ComponentDestroy()
end
local ComponentDefine = function(self)
end
local ComponentDestroy = function(self)
end
local ReInit = function(self)
  local posV3 = SceneUtils.TileToWorld(DataCenter.BuildManager.main_city_pos)
  self.transform:Set_position(posV3.x, posV3.y, posV3.z)
end
WorldCanBuildEffect.OnCreate = OnCreate
WorldCanBuildEffect.OnDestroy = OnDestroy
WorldCanBuildEffect.ComponentDefine = ComponentDefine
WorldCanBuildEffect.ComponentDestroy = ComponentDestroy
WorldCanBuildEffect.ReInit = ReInit
return WorldCanBuildEffect
